package com.zanxiang.sdk.domain.params;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author : xufeng
 * @time : 2022-06-20
 * @description : 用户信息
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserData implements Serializable {

    private static final long serialVersionUID = -7831270456996143737L;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 设备类型;
     */
    private Integer deviceType;

    /**
     * 设备类型(android / ios)
     */
    private String deviceSystem;
}
